package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttBridBase;
import com.goldenwater.slgc.mapper.AttBridBaseMapper;
import com.goldenwater.slgc.service.BridgeService;

/** 桥梁信息 业务实现 */
@Service
public class BridgeServiceImpl implements BridgeService {
    @Autowired
    private AttBridBaseMapper attBridBaseMapper;

    @Override
    public List<AttBridBase> selectAttBridBaseList(AttBridBase attBridBase) {
        return attBridBaseMapper.selectAttBridBaseList(attBridBase);
    }

    @Override
    public AttBridBase selectAttBridBaseById(String bridCode) {
        return attBridBaseMapper.selectAttBridBaseById(bridCode);
    }

    @Override
    public int deleteAttBridBaseByIds(String[] bridCodes) {
        return attBridBaseMapper.deleteAttBridBaseByIds(bridCodes);
    }

    @Override
    public int insertAttBridBase(AttBridBase attBridBase) {
        return attBridBaseMapper.insertAttBridBase(attBridBase);
    }

    @Override
    public int updateAttBridBase(AttBridBase attBridBase) {
        return attBridBaseMapper.updateAttBridBase(attBridBase);
    }
}
